﻿Imports Steema.TeeChart.Styles
Imports Steema.TeeChart

Public Class Form1
    Public Sub New()
        InitializeComponent()
        InitializeChart()
    End Sub
    Private Sub InitializeChart()
        'Series
        For i As Integer = 0 To 24
            Dim bar As Steema.TeeChart.Styles.Bar = New Steema.TeeChart.Styles.Bar(TChart1.Chart)
            If i < 10 Then
                TChart1(i).FillSampleValues(50)
            ElseIf i > 10 AndAlso i < 20 Then
                TChart1(i).FillSampleValues(15)
            Else
                TChart1(i).FillSampleValues(4)
            End If
            TChart1(i).Marks.Visible = False
            TryCast(TChart1(i), Steema.TeeChart.Styles.Bar).MultiBar = MultiBars.None
        Next
      
        'Walls
        TChart1.Walls.Left.Color = Color.LightGray

        'HScrollBar
        HScrollBar1.Value = 0
        'CheckBox
        CheckBox1.Checked = False
        CheckBox2.Checked = False
        AddHandler TChart1.AfterDraw, AddressOf TChart1_AfterDraw

    End Sub
    Private Sub button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        TChart1.ShowEditor()
    End Sub


    Private Sub TChart1_AfterDraw(sender As System.Object, g As Steema.TeeChart.Drawing.Graphics3D)
        If (TChart1.Dock = DockStyle.Fill) Then
            Me.Text = TChart1.Height.ToString()
        Else
            TChart1.Axes.Left.StartEndPositionUnits = PositionUnits.Percent
            Me.Text = TChart1.Axes.Left.EndPosition - TChart1.Axes.Left.StartPosition
        End If

    End Sub

    Private Sub HScrollBar1_Scroll(sender As System.Object, e As System.Windows.Forms.ScrollEventArgs) Handles HScrollBar1.Scroll
        If (e.NewValue <= TChart1.Axes.Left.EndPosition) Then
            TChart1.Axes.Left.StartPosition = e.OldValue + 10
        End If
    End Sub

    Private Sub CheckBox1_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox1.CheckedChanged
        If (CheckBox1.Checked) Then
            TChart1.Dock = DockStyle.Fill
            HScrollBar1.Enabled = False
        Else
            TChart1.Dock = DockStyle.None
            HScrollBar1.Enabled = True
        End If

    End Sub

    Private Sub CheckBox2_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox2.CheckedChanged
        TChart1.Axes.Depth.Visible = CheckBox2.Checked
        TChart1.Axes.DepthTop.Visible = CheckBox2.Checked
        'DephtAxis.
        TChart1.Axes.Depth.Automatic = False
        TChart1.Axes.Depth.Minimum = -0.5 ' 100 '100'Change value to check it.
        TChart1.Axes.Depth.Maximum = 25 '125 '125
        TChart1.Axes.Depth.Increment = 0.5 '10
        TChart1.Axes.Depth.Labels.Style = AxisLabelStyle.Value
        TChart1.Axes.DepthTop.Automatic = False
        TChart1.Axes.DepthTop.Minimum = -0.5 '100 'Change value to check it.
        TChart1.Axes.DepthTop.Maximum = 25 '125 
        TChart1.Axes.DepthTop.Increment = 0.5 ' 10
        TChart1.Axes.DepthTop.Labels.Style = AxisLabelStyle.Value
    End Sub
End Class





'Public Sub New()
'    ' Dim a As ImagePoint
'    InitializeComponent()
'    InitializeChart()
'End Sub
'Private Line1 As Steema.TeeChart.Styles.Line
'Private editor1 As Steema.TeeChart.Editor
'Private Sub InitializeChart()
'    Line1 = New Line(TChart1.Chart)
'    Line1.FillSampleValues()
'    editor1 = New Editor(TChart1)
'    editor1.Width = Convert.ToInt32(800)
'    editor1.Height = Convert.ToInt32(500)
'    ' Dim size As New Size(Convert.ToInt32(800), Convert.ToInt32(500))
'    ' editor1.Size = size
'End Sub

'Private Sub button2_Click(sender As Object, e As EventArgs) Handles Button1.Click
'    editor1.HideTabs = New Steema.TeeChart.Editors.ChartEditorTabs() {
'        Steema.TeeChart.Editors.ChartEditorTabs.Export,
'        Steema.TeeChart.Editors.ChartEditorTabs.Legend,
'        Steema.TeeChart.Editors.ChartEditorTabs.Page,
'        Steema.TeeChart.Editors.ChartEditorTabs.Print,
'        Steema.TeeChart.Editors.ChartEditorTabs.SeriesDataSource,
'        Steema.TeeChart.Editors.ChartEditorTabs.Tools,
'        Steema.TeeChart.Editors.ChartEditorTabs.Walls,
'        Steema.TeeChart.Editors.ChartEditorTabs.Series,
'        Steema.TeeChart.Editors.ChartEditorTabs.Themes,
'        Steema.TeeChart.Editors.ChartEditorTabs.Data,
'        Steema.TeeChart.Editors.ChartEditorTabs.Animations
'     }
'    editor1.ShowModal()
'End Sub


'Public Class ImagePoint
'    Inherits Steema.TeeChart.Styles.Points
'    Private m_Image As Image
'    Private g As Steema.TeeChart.Drawing.Graphics3D
'    Private m_Description As String

'    Public Sub New(ByVal c As Steema.TeeChart.Chart, ByVal i As Image, Optional ByVal desc As String = "desc")
'        MyBase.New()
'        '   ------------ here it breaks with following statement:
'        g = c.Graphics3D
'        m_Image = i
'        m_Description = desc
'    End Sub

'    Public Property Image() As Image
'        Get
'            Return m_image
'        End Get
'        Set(ByVal value As Image)
'            m_image = value
'        End Set
'    End Property

'    Public Overrides ReadOnly Property Description() As String
'        Get
'            Return m_Description
'        End Get
'    End Property

'    Public Overrides Sub DrawValue(ByVal index As Integer)
'        Dim R As Rectangle
'        If m_Image Is Nothing Then
'            MyBase.DrawValue(index)
'        Else
'            Pointer.HorizSize = m_Image.Width
'            Pointer.VertSize = m_Image.Height
'            Dim left As Integer = CInt(CalcXPos(index) - (Pointer.HorizSize / 2))
'            Dim top As Integer = CInt(CalcYPos(index) - (Pointer.VertSize / 2))
'            R = Rectangle.FromLTRB(left, top, left + Pointer.HorizSize, top + Pointer.VertSize)
'            g.Draw(R, m_Image, True)
'            g.TextOut(CalcXPos(index), CalcYPos(index), index.ToString)
'        End If
'    End Sub
'End Class



